Bug 489488 - not-attached errors logged for clustered federation links
not-attached errors logged for clustered federation links
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 08:58 EDT by Gordon Sim
Modified: 2015-11-15 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-07 09:00:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-03-10 08:58:48 EDT
error Channel exception: not-attached: receiving Frame[BEbe; channel=0; {ConnectionStartBody: server-properties={qpid.federation_tag:V2:36:str16(e934afe1-6cc0-416a-b16d-a1ca6e6a6d75)}; mechanisms=str16{V2:9:str16(ANONYMOUS), V2:5:str16(PLAIN)}; locales=str16{V2:5:str16(en_US)}; }]: channel 0 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
Comment 1 Gordon Sim 2009-03-12 11:29:39 EDT
Fixed by r752897; did not make the last 1.1.1 RC.
Comment 3 Justin Ross 2011-06-28 14:56:31 EDT
Frantisek, this fix is in 1.3 and after.  Any thoughts on coverage?
Comment 4 Frantisek Reznicek 2011-09-05 08:14:05 EDT
I'm sorry, I'm not able to test with almost no defect description given.

I believe I had seen this issue in past and I do not see it on last package set, but I cannot guarantee it as there is no testing scenario information.

Two possible ways...
1] specify the testing scenario details & retest
2] CLOSE INSUFF.DATA

Raising NEEDINFO.
Comment 5 Gordon Sim 2011-09-05 08:29:50 EDT
I believe that this error showed up in the logs whenever you created a federation link between two clusters. I.e. to reproduce you would create two clusters of two nodes each and use qpid-route to add a link between them and then observe the logs.

That said it is so old and insignificant an issue that I don't think it is worth expending much energy over. My vote would be to simply close it.
Comment 6 Frantisek Reznicek 2011-09-07 09:00:38 EDT
The issue was retested on 1.2 (qpidc-0.5.752581-26.el5) and current package set (qpid-cpp-*0.10-8.el5) on RHEL 5.3 / 5.7 / 6.1 i[36]86 / x86_64 and issue was not triggered on either of versions.

-> CLOSED with INSUFFICIENT_DATA

Note You need to log in before you can comment on or make changes to this bug.